summaryrefslogtreecommitdiffstats
path: root/source/n/nc/nc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/nc/nc.SlackBuild')
-rwxr-xr-xsource/n/nc/nc.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/source/n/nc/nc.SlackBuild b/source/n/nc/nc.SlackBuild
new file mode 100755
index 000000000..aafa123ba
--- /dev/null
+++ b/source/n/nc/nc.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=1.10
+SRCVER=110
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-nc
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf nc-$SRCVER
+mkdir nc-$SRCVER
+cd nc-$SRCVER
+tar xvf $CWD/nc${SRCVER}.tgz || exit 1
+zcat $CWD/nc-110-21.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/nc.diff.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make linux CFLAGS="$SLKCFLAGS" || exit 1
+
+strip nc
+mkdir -p $PKG/usr/bin
+cat nc > $PKG/usr/bin/nc
+chmod 755 $PKG/usr/bin/nc
+
+mkdir -p $PKG/usr/man/man1
+cat debian/nc.1 | gzip -9c > $PKG/usr/man/man1/nc.1.gz
+
+mkdir -p $PKG/usr/doc/nc-$VERSION
+cp -a \
+ Changelog README data netcat.blurb scripts \
+ $PKG/usr/doc/nc-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/nc-$VERSION-$ARCH-$BUILD.txz
+